Jack2: jack_transport_info_t Struct Reference

Jack2 1.9.22

Public Attributes | List of all members
jack_transport_info_t Struct Reference

`#include <types.h>`

## Public Attributes
jack_nframes_t | frame_rate
jack_time_t | usecs
jack_transport_bits_t | valid
jack_transport_state_t | transport_state
jack_nframes_t | frame
jack_nframes_t | loop_start
jack_nframes_t | loop_end
long | smpte_offset
float | smpte_frame_rate
int | bar
int | beat
int | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute

## Detailed Description

Deprecated struct for transport position information.

Deprecated
  This is for compatibility with the earlier transport interface. Use the jack_position_t struct, instead.

Definition at line 723 of file types.h.

## Member Data Documentation

## ◆ frame_rate

jack_nframes_t jack_transport_info_t::frame_rate

current frame rate (per second)

Definition at line 727 of file types.h.

## ◆ usecs

jack_time_t jack_transport_info_t::usecs

monotonic, free-rolling

Definition at line 728 of file types.h.

## ◆ valid

jack_transport_bits_t jack_transport_info_t::valid

which fields are legal to read

Definition at line 730 of file types.h.

## ◆ transport_state

jack_transport_state_t jack_transport_info_t::transport_state

Definition at line 731 of file types.h.

## ◆ frame

jack_nframes_t jack_transport_info_t::frame

Definition at line 732 of file types.h.

## ◆ loop_start

jack_nframes_t jack_transport_info_t::loop_start

Definition at line 733 of file types.h.

## ◆ loop_end

jack_nframes_t jack_transport_info_t::loop_end

Definition at line 734 of file types.h.

## ◆ smpte_offset

long jack_transport_info_t::smpte_offset

SMPTE offset (from frame 0)

Definition at line 736 of file types.h.

## ◆ smpte_frame_rate

float jack_transport_info_t::smpte_frame_rate

29.97, 30, 24 etc.

Definition at line 737 of file types.h.

## ◆ bar

int jack_transport_info_t::bar

Definition at line 739 of file types.h.

## ◆ beat

int jack_transport_info_t::beat

Definition at line 740 of file types.h.

## ◆ tick

int jack_transport_info_t::tick

Definition at line 741 of file types.h.

## ◆ bar_start_tick

double jack_transport_info_t::bar_start_tick

Definition at line 742 of file types.h.

## ◆ beats_per_bar

float jack_transport_info_t::beats_per_bar

Definition at line 744 of file types.h.

## ◆ beat_type

float jack_transport_info_t::beat_type

Definition at line 745 of file types.h.

## ◆ ticks_per_beat

double jack_transport_info_t::ticks_per_beat

Definition at line 746 of file types.h.

## ◆ beats_per_minute

double jack_transport_info_t::beats_per_minute

Definition at line 747 of file types.h.

The documentation for this struct was generated from the following file:

- types.h